from events.types.payload import Payload


class ChoreTimeExtended(Payload):
    def __init__(self, child_id: str, task_id: str):
        super().__init__({
            'child_id': child_id,
            'task_id': task_id,
        })

    @property
    def child_id(self) -> str:
        return self.get('child_id')

    @property
    def task_id(self) -> str:
        return self.get('task_id')
